import wx
import wx.lib.platebtn as platebtn

def openFile2():
    fname = raw_input("Enter filename: ")
    if len(fname) == 0:
        fname = "test2.csv"
    try:
        fh = open(fname,'r')
    except:
        print "Error: File (", fname, ") cannot be opened. \nOpen test file instead"
        fname = "test2.csv"
        fh = open(fname,'r')
        #exit()

    circcoords = []
    for line in fh.readlines():
        xy = line.split(',')
        coord = []
        for num in xy:
            try:
                nr = int(num)
                coord.append(nr)
            except:
                pass
        circcoords.append(coord)
    circcoords.append([0,0,0,0])
    fh.close()

    print circcoords
    print ("Reading done!")


class MyPanel(wx.Panel):
    def __init__(self, parent):
        super(MyPanel, self).__init__(parent)

        # Layout sizers
        vsizer = wx.BoxSizer(wx.VERTICAL)
        sizer = wx.BoxSizer(wx.HORIZONTAL)
        vsizer.Add(sizer)



        # Command Link Button
        note = """L detail ."""
        cmdLnk = wx.CommandLinkButton(self, mainLabel="Open File",
                                      note=note)
        vsizer.Add(cmdLnk)

        note = """Long """
        cmdLnk2 = wx.CommandLinkButton(self, mainLabel="Print File",
                                  note=note)
        vsizer.Add(cmdLnk2)

        self.SetSizer(vsizer)
        self.Bind(wx.EVT_TOGGLEBUTTON, self.OnToggle)
        self.Bind(wx.EVT_BUTTON, self.OnButton)

    def OnToggle(self, event):
        button = event.EventObject
        print("%s toggle button was pushed!" % button.Label)
        print("ToggleState: %s" % button.Value)

    def OnButton(self, event):

        button = event.EventObject

        if button.Label == "Open File":
           openFile2()
        else:
            event.Skip()

class MyFrame(wx.Frame):
    def __init__(self, parent, title=""):
        super(MyFrame, self).__init__(parent, title=title)

        # Set the panel
        self.panel = MyPanel(self)
        # Attributes
        #self.panel = wx.Panel(self)

        # Setup Menus
        menubar = wx.MenuBar()
        helpmenu = wx.Menu()
        helpmenu.Append(wx.ID_ABOUT, "About")
        menubar.Append(helpmenu, "Help")
        self.SetMenuBar(menubar)

        # Setup StatusBar
        self.CreateStatusBar()
        self.PushStatusText("Run the Machine configuration")

        # Event Handlers
        self.Bind(wx.EVT_MENU, self.OnAbout, id=wx.ID_ABOUT)


    #About menu
    def OnAbout(self, event):
        """Show the about dialog"""
        info = wx.AboutDialogInfo()

        # Make a template for the description
        desc = ["\nFoam Cutter 2016\n",
                "Platform Info: (%s,%s)",
                "License: Public Domain"]
        desc = "\n".join(desc)



        # Populate with information
        info.SetName("Foldable Mcnulty - FA16")
        info.SetVersion("0.3")
        info.SetCopyright("Copyright (C) Luis Diaz, Borja Lanza, Marta Verde\nPaco Gonzalez, Jose Real, Maria Santisteban, Victoria Retana")
        info.SetWebSite("http://archive.fabacademy.org/archives/2016/fablableon/")
        info.SetDescription("Foam Cutter GUI system")

        # Create and show the dialog
        wx.AboutBox(info)


class MyApp(wx.App):
    def OnInit(self):
        self.frame = GUI.MyFrame(None, title="MTM")
        self.frame.Show();
        return True

if __name__ == "__main__":
    app = MyApp(False)
    app.MainLoop()
